FROM registry-vpc.cn-beijing.aliyuncs.com/xinyue/alpine-cst:1
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY shareaward /go/bin/
COPY active.yaml /go/bin/
COPY yaml /go/bin/yaml/
RUN chmod +x /go/bin/shareaward
WORKDIR /go/bin/

CMD ["/go/bin/shareaward", "shareaward", "--config=/go/bin/active.yaml"]

EXPOSE 9001
